import { Formatter } from './models/templates/formatter';
import { ParseResult } from './models/templates/parse-result';
export declare type ModeType = 'interpolation' | 'expression' | 'extended';
export declare const INTERPOLATION_REGEX: RegExp;
export declare const EXPRESSION_REGEX: RegExp;
export declare const EXTENDED_REGEX: RegExp;
export declare const GENERIC_PARSER: (log: (message: string, params: any[]) => void, regex: any, model: any) => ParseResult;
export declare const FORMAT_RULES: {
    [language: string]: {
        [name: string]: Formatter;
    };
};
