import { NgxExpressionsConfig } from '../models';
export declare const MONACO_PATH = "min/vs";
export declare const MONACO_EDITOR_PATH = "min/vs/editor/editor.main";
export declare class MonacoLoaderService {
    protected config: NgxExpressionsConfig;
    protected isReady: boolean;
    protected baseUrl: string;
    constructor(config: NgxExpressionsConfig);
    createEditor(element: HTMLDivElement, code: string, language?: string): Promise<any>;
    protected loadRequire(): Promise<boolean>;
    protected waitForNamespace(check: (window: any) => boolean, timeout?: number): Promise<void>;
    protected addScript(scriptUrl: string): void;
}
