import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { MonacoLoaderService } from '../../services/monaco-loader.service';
export declare class EditorComponent implements AfterViewInit, OnDestroy {
    elementRef: ElementRef<HTMLDivElement>;
    protected monacoLoader: MonacoLoaderService;
    private static _identity;
    get id(): string;
    codeRef: ElementRef<HTMLDivElement>;
    language: string;
    monacoOptions: any;
    editorReady: EventEmitter<any>;
    valueChanged: EventEmitter<string>;
    validationChange: EventEmitter<string[]>;
    editor: any;
    private _id;
    constructor(elementRef: ElementRef<HTMLDivElement>, monacoLoader: MonacoLoaderService);
    ngAfterViewInit(): Promise<void>;
    ngOnDestroy(): Promise<void>;
    protected init(): Promise<void>;
}
